#include <stdio.h>
typedef struct {
  double x, y, z;
} pozicio;

typedef char nevtipus[30];
typedef enum {negativ = -1, semleges, pozitiv} toltestipus;
typedef struct {
  pozicio helyzet;
  double tomeg;
  nevtipus nev;
  toltestipus toltes;
} reszecske;

int tomeghasonlitas(reszecske a, reszecske b){
  if(a.tomeg < b.tomeg) {
    return -1;
  }
  if(a.tomeg > b.tomeg) {
    return 1;
  }
  return 0;
}
int vonzas(reszecske a, reszecske b){
  if(a.toltes == semleges || b.toltes == semleges) {
    return 0;
  }
  return (a.toltes == b.toltes) ? 1 : -1;
}
int main(){
  reszecske p={{0.0, 0.0, 0.0}, 1.0,
    "proton", pozitiv};
  reszecske e={{1.0, 1.0, 1.0}, 0.001,
    "elektron", negativ};
  printf("tomeg: %d\nvonzas: %d\n",
    tomeghasonlitas(p, e), vonzas(p, e));
  return 0;
}
